Package org.apache.catalina.storeconfig

## Class StoreRegistry

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreRegistry

    public class StoreRegistry
    extends java.lang.Object

Central StoreRegistry for all server.xml elements

### Constructor Summary

Constructors
`StoreRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StoreDescription` `findDescription​(java.lang.Class<?> aClass)` Find Description by class.
`StoreDescription` `findDescription​(java.lang.String id)` Find a description for id.
`IStoreFactory` `findStoreFactory​(java.lang.Class<?> aClass)` Find factory from class.
`IStoreFactory` `findStoreFactory​(java.lang.String aClassName)` Find factory from class name.
`java.lang.String` `getEncoding()`
`java.lang.String` `getName()`
`java.lang.String` `getVersion()`
`void` `registerDescription​(StoreDescription desc)` Register a new description.
`void` `setEncoding​(java.lang.String string)` Set the encoding to use when writing the configuration files.
`void` `setName​(java.lang.String name)`
`void` `setVersion​(java.lang.String version)`
`StoreDescription` `unregisterDescription​(StoreDescription desc)` Unregister a description.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StoreRegistry

    public StoreRegistry()

### Method Detail

#### getName

    public java.lang.String getName()

Returns:
  the name

#### setName

    public void setName​(java.lang.String name)

Parameters:
  `name` - The name to set.

#### getVersion

    public java.lang.String getVersion()

Returns:
  the version

#### setVersion

    public void setVersion​(java.lang.String version)

Parameters:
  `version` - The version to set

#### findDescription

    public StoreDescription findDescription​(java.lang.String id)

Find a description for id. Handle interface search when no direct match found.

Parameters:
  `id` - The class name
Returns:
  the description

#### findDescription

    public StoreDescription findDescription​(java.lang.Class<?> aClass)

Find Description by class.

Parameters:
  `aClass` - The class
Returns:
  the description

#### findStoreFactory

    public IStoreFactory findStoreFactory​(java.lang.String aClassName)

Find factory from class name.

Parameters:
  `aClassName` - The class name
Returns:
  the factory

#### findStoreFactory

    public IStoreFactory findStoreFactory​(java.lang.Class<?> aClass)

Find factory from class.

Parameters:
  `aClass` - The class
Returns:
  the factory

#### registerDescription

    public void registerDescription​(StoreDescription desc)

Register a new description.

Parameters:
  `desc` - New description

#### unregisterDescription

    public StoreDescription unregisterDescription​(StoreDescription desc)

Unregister a description.

Parameters:
  `desc` - The description
Returns:
  the description, or `null` if it was not registered

#### getEncoding

    public java.lang.String getEncoding()

Returns:
  the encoding

#### setEncoding

    public void setEncoding​(java.lang.String string)

Set the encoding to use when writing the configuration files.

Parameters:
  `string` - The encoding